[ < ] | [ > ] |  | [ << ] | [ Up ] | [ >> ] |  |  |  |  | [Top] | [Contents] | [Index] | [ ? ]

### 3.1.3 Command Line options

Walktest takes the name of a map to load as a command line parameter. If this is given as a full VFS path, the map file called ``world'` in that directory is loaded.

If there is no initial ``/'` character, ``/lev/'` is stuck on the front. If there is no map specified at all, ``/lev/flarge'` is assumed, so the default map is ``/lev/flarge/world'`. (This is almost true ... the default path is specified in ``/data/config/walktest.cfg'`).

Many of these command line options are of specialised or limited use.

Win32-specific options:

`-[no]console`

  Create a debug console (default = yes) (@@@ Note to Frank, depends on release/debug mingw/msvc?)

Options for WalkTest:

`-exec=<script>`

  Execute given script at startup. In this case, the entire script is run. If you run a script from within Walktest once it is running, the script is run one line per frame.

  By default, ``/data/config/autoexec.cfg'` is executed. This defines key bindings which take effect when not in console mode.

`-[no]colldet`

  Collision detection system (default 'colldet').

`-[no]logo`

  Draw logo (default 'logo'). This controls display of the Crystal Space logo in the top right of the display.

`-regions`

  Load every map in a separate region (default off).

`-dupes`

  Check for duplicate objects in multiple maps (default off).

`-infinite`

  Special infinite level generation (ignores map file!).

`-bots`

  Allow random generation of bots.

Options for Crystal Space 3D Engine:

`-fullbright`

  Disable all lightmaps and lighting so that everything is fullbright (default off).

`-fov=<val>`

  Field of Vision (0).

`-[no]relight`

  Force/inhibit recalculation of lightmaps (no) This must be used the first time a map is run, and if there have been enough changes to the geometry to require all the lightmaps to be recalculated. For a large map, this can take a long time. The generated lightmaps are cached in the directory containing the ``world'` map, but the engine nolonger automatically regenerates them if they are missing.

`-lightqual=<val>`

  Lighting quality (3).

Options for the canvas drivers:

`-depth=<val>`

  Display depth (16).

`-[no]fs`

  Fullscreen if available (no).

`-mode=<val>`

  Window size or resolution (640x480).

General options:

`-help`

  Display a help message.

`-video=<s>`

  The 3D rendering driver (opengl, software, ...).

`-canvas=<s>`

  The 2D canvas driver (asciiart, x2d, ...)

`-plugin=<s>`

  Load this plugin after all others.

`-verbose`

  Be more verbose; print better diagnostic messages.

[ < ] | [ > ] |  | [ << ] | [ Up ] | [ >> ]

This document was generated using texi2html 1.76.